d3.csv('https://gist.githubusercontent.com/yamunayennem/8b358e9cf06e45d468ca69547cc11ab9/raw/67c18c53e7f57d31fac9db5bc33bbac42c05d2ed/Palmer%2520Penguins%2520Dataset', function(err, rows){
function unpack(rows, species) {
	return rows.map(function(row)
	{ return row[species]; });}

var Adelie = {
	x:unpack(rows, 'body_mass_g'), y: unpack(rows, 'bill_length_mm'), z: unpack(rows, 'flipper_length_mm'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgb(105, 20, 92, 0.1)',
		width: 0.5},
		opacity: 0.9},
	type: 'scatter3d'
};

var Gentoo = {
	x:unpack(rows, 'body_mass_g'), y: unpack(rows, 'bill_length_mm'), z: unpack(rows, 'flipper_length_mm'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgb(230, 78,230)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};
  
  var Chinstrap = {
	x:unpack(rows, 'body_mass_g'), y: unpack(rows, 'bill_length_mm'), z: unpack(rows, 'flipper_length_mm'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgb(230, 230,230)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [Adelie, Gentoo, Chinstrap];
var layout = {
    margin: { l: 0, r: 0, b: 0, t: 0 },
    scene: { zaxis: { title: 'flipper_length_mm' },yaxis: { title: 'bill_length_mm' },xaxis: { title: 'body_mass_g', } }  // added zaxis property with title attribute
  };
Plotly.newPlot('myDiv', data, layout);
});
